import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  StopVectorEnrichmentJobInput,
  StopVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface StopVectorEnrichmentJobCommandInput
  extends StopVectorEnrichmentJobInput {}
export interface StopVectorEnrichmentJobCommandOutput
  extends StopVectorEnrichmentJobOutput,
    __MetadataBearer {}
declare const StopVectorEnrichmentJobCommand_base: {
  new (
    input: StopVectorEnrichmentJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopVectorEnrichmentJobCommandInput,
    StopVectorEnrichmentJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StopVectorEnrichmentJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopVectorEnrichmentJobCommandInput,
    StopVectorEnrichmentJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StopVectorEnrichmentJobCommand extends StopVectorEnrichmentJobCommand_base {}
