import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListEarthObservationJobInput,
  ListEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface ListEarthObservationJobsCommandInput
  extends ListEarthObservationJobInput {}
export interface ListEarthObservationJobsCommandOutput
  extends ListEarthObservationJobOutput,
    __MetadataBearer {}
declare const ListEarthObservationJobsCommand_base: {
  new (
    input: ListEarthObservationJobsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListEarthObservationJobsCommandInput,
    ListEarthObservationJobsCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListEarthObservationJobsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListEarthObservationJobsCommandInput,
    ListEarthObservationJobsCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListEarthObservationJobsCommand extends ListEarthObservationJobsCommand_base {}
