import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListRasterDataCollectionsInput,
  ListRasterDataCollectionsOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface ListRasterDataCollectionsCommandInput
  extends ListRasterDataCollectionsInput {}
export interface ListRasterDataCollectionsCommandOutput
  extends ListRasterDataCollectionsOutput,
    __MetadataBearer {}
declare const ListRasterDataCollectionsCommand_base: {
  new (
    input: ListRasterDataCollectionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListRasterDataCollectionsCommandInput,
    ListRasterDataCollectionsCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListRasterDataCollectionsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListRasterDataCollectionsCommandInput,
    ListRasterDataCollectionsCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListRasterDataCollectionsCommand extends ListRasterDataCollectionsCommand_base {}
